#ifndef OKNO_H
#define OKNO_H

#include <QMainWindow>
#include <QTableWidget>
#include <QTreeWidgetItem>

namespace Ui {
class Okno;
}

class Info
{
public:
    int len;
    int from_line;
    int from_col;

    Info () : len (-1), from_line (-1), from_col (-1) { }
};

class MyItem : public QTreeWidgetItem
{

};

class Okno : public QMainWindow
{
    Q_OBJECT

public:
    explicit Okno(QWidget *parent = 0);
    ~Okno();

private:
    static const int n = 8;
    Info pole [n][n];

    void setupTable (QTableWidget *t);

    void jump (int i, int j, int level, MyItem * node);

private:
    Ui::Okno *ui;
};

#endif // OKNO_H
