#include "okno.h"
#include "ui_okno.h"

Okno::Okno(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::Okno)
{
    ui->setupUi(this);
    setupTable (ui->tableWidget);
    setupTable (ui->stateTable);

    jump (0, 0, 1, NULL);
    /*
    QTableWidgetItem * item = new QTableWidgetItem;
    item->setText("abc");
    item->setToolTip("nejaky text");
    item->setBackgroundColor (QColor ("yellow"));
    item->setForeground (QColor::fromRgb(255, 128, 128));
    ui->tableWidget->setItem (0, 0, item);
    */
}

Okno::~Okno()
{
    delete ui;
}

void Okno::setupTable (QTableWidget * t)
{
   t->setColumnCount (n);
   t->setRowCount (n);

   int h = t->rowHeight(0);
   for (int i = 0; i <n ; i++)
       t->setColumnWidth (i, h);
}

QColor color (int level)
{
    return QColor::fromHsv ((10*level)%360, 250, 250);
}

void Okno::jump (int i, int j, int level, MyItem *node)
{
    if (i>=0 && i<n && j>=0 && j<n && level <= 8)
    {
        if (pole[i][j].len < 0 /* || pole[i][j].len > level */)
        {
            pole[i][j].len = level;

            QTableWidgetItem * item = new QTableWidgetItem;
            item->setText (QString::number (level));
            item->setBackgroundColor (color (level));
            ui->tableWidget->setItem (i, j, item);


            jump (i+2, j+1, level+1, node);
            jump (i+2, j-1, level+1, node);
            jump (i-2, j+1, level+1, node);
            jump (i-2, j-1, level+1, node);

            jump (i+1, j+2, level+1, node);
            jump (i+1, j-2, level+1, node);
            jump (i-1, j+2, level+1, node);
            jump (i-1, j-2, level+1, node);
        }
    }
}











